------------------------------------------------------------------------------------
--Name：          191230[简体征服][活动脚本]全球情人节活动
--Creator:      杨艳
--Created:     2020/01/06
--------------------------------------------------------------------------------------
--/callluafunc </F>User_PlayPlot</N>8


-- 设置摄像机指向位置(网格坐标)
CppScriptMgr:SetViewPosByCell(36, 31)
------------------------------------------------------------
--玩家对象操作接口,Hero、Player、Npc接口都一样
-- 查询/创建，玩家自己
-- 参数：无
-- local hero = CppScriptMgr:QueryHero()
-- hero:SetLook(hero:GetLook(), false, true) 
-- 创建人物接口：CppScriptMgr:AddPlayer(外观look, 坐标x, 坐标y, "名字", id, 角色类型luaPlayerType)
-- local player = CppScriptMgr:AddPlayer(276, 325, 345, "新手勇士", 4003000001)
-- 镜头一
CppScriptMgr:AddEffect("meiguihua_01",32,31);
CppScriptMgr:AddEffect("meiguihua_01",32,28);
CppScriptMgr:AddEffect("meiguihua_01",32,25);
CppScriptMgr:AddEffect("meiguihua_01",29,25);
CppScriptMgr:AddEffect("meiguihua_01",29,31);
CppScriptMgr:AddEffect("meiguihua_01",28,27);
CppScriptMgr:AddEffect("meiguihua_01",25,27);
CppScriptMgr:AddEffect("meiguihua_01",25,24);
CppScriptMgr:AddEffect("meiguihua_01",25,30);

CppScriptMgr:AddEffect("role-select4",36,28);
CppScriptMgr:WaitMilSec(100)
local player  = CppScriptMgr:AddSimplePlayer(1051297, 37,30, "Valentine", 4003000031,1)
local player1 = CppScriptMgr:AddSimplePlayer(1051307, 38,29, "Silvia", 4003000032,1)

-- 黑屏, CppScriptMgr:SetDarkScreen(毫秒)
CppScriptMgr:SetDarkScreen(2000)
CppScriptMgr:WaitMilSec(3000)

CppScriptMgr:AddEffect("tulip-flower-smallrain",36,30);
player1:Say("Wow! So beautiful!", 2000)
CppScriptMgr:WaitMilSec(2000)

player:Say("I know you like flowers, so I grew them for you!", 2000)
CppScriptMgr:WaitMilSec(2000)

player:SetLook(51292)
player1:SetLook(51302)

player:RunTo(35, 31)
CppScriptMgr:WaitMilSec(1000)
player:SetAction(220)
CppScriptMgr:WaitMilSec(1000)
-- player:SetAction(100)

player:SetLook(51296)

player:RunTo(37, 30)
CppScriptMgr:WaitMilSec(1000)

player:Say("I hope you will like these roses.", 2000)
CppScriptMgr:WaitMilSec(500)

CppScriptMgr:AddEffect("NEW-flower-small",17,27);
CppScriptMgr:WaitMilSec(2000)

player1:Say("I love them! Unfortunately, I can`t see them often.", 2000)
CppScriptMgr:WaitMilSec(2000)
player:Say("When I`m out, I`ll build a house and grow many roses for you!", 2000)
CppScriptMgr:WaitMilSec(2000)

CppScriptMgr:SetDarkScreen(2000)
CppScriptMgr:WaitMilSec(2000)

CppScriptMgr:AddEffect("FF02",31,28);
CppScriptMgr:WaitMilSec(100)
CppScriptMgr:AddEffect("FF03",32,25);
CppScriptMgr:WaitMilSec(100)
CppScriptMgr:AddEffect("FF04",24,25);
CppScriptMgr:WaitMilSec(100)
CppScriptMgr:AddEffect("FF05",24,32);
CppScriptMgr:WaitMilSec(100)
CppScriptMgr:AddEffect("FF06",32,35);
CppScriptMgr:WaitMilSec(3000)

player1:Say("I seem to have seen the foreworks.", 3000)
CppScriptMgr:WaitMilSec(3000)
player:Say("I`ll help you recall it.", 3000)
CppScriptMgr:WaitMilSec(3000)




-- ------------------------------------------------------------------------------------
-- --Name:			190910[简体征服][任务脚本]职业副本剧情脚本
-- --Creator:		兰瑞妹
-- --Created:		2019/09/12
-- ------------------------------------------------------------------------------------
-- -- /callluafunc </F>User_PlayPlot</N>11

-- -- 武僧
-- -- 表现内容：
-- -- 武僧boss穿着武僧神装，扛着史诗武器金刚伏魔杵，身上散发着佛光，向你作揖，
-- -- 口中念着“阿弥陀佛”。无数经文光效在空中飞舞，突然，武僧使用金刚伏魔杵向大地狠狠砸去。顿时地动山摇。
-- -- 光效需求：武僧身上的祥光、
 -- -- 经文在空中飞舞

-- -- 设置摄像机指向位置(网格坐标)
-- CppScriptMgr:SetViewPosByCell(363, 445)
-- ------------------------------------------------------------
-- --玩家对象操作接口,Hero、Player、Npc接口都一样
-- -- 查询/创建，玩家自己
-- -- 参数：无
-- local hero = CppScriptMgr:QueryHero()
-- hero:SetPos(363, 445)
-- -- 设置玩家方向，[0, 7]-八方向
-- hero:SetDir(4)

-- -- 创建人物接口：CppScriptMgr:AddPlayer(外观look, 坐标x, 坐标y, "名字", id, 角色类型luaPlayerType)
-- local player  = CppScriptMgr:AddSimplePlayer(1051350, 371, 445, "【圣僧】一灯大师", 4003000020,1)--51350
-- -- 设置人物显示大小百分比
-- player:SetZoomPercent(150)
-- player:SetRWeapon(481439, 0, 1)
-- player:SetLook(50490)
-- CppScriptMgr:WaitMilSec(1000)

-- -- 人物动作调用接口 作揖
-- player:SetAction(150)
-- CppScriptMgr:WaitMilSec(2000)

-- -- 半身像对话框
-- player:Say("阿弥陀佛", 3000)
-- CppScriptMgr:WaitMilSec(1000)

-- -- 金刚伏魔杵向大地狠狠砸去
-- player:SetAction(401)
-- CppScriptMgr:WaitMilSec(4000)

-- -- 地动山摇
-- -- 创建普通光效接口：参数：光效名，坐标X，坐标Y
-- -- local effectObj = CppScriptMgr:AddEffect("ssch_wlhd_hit", 211, 234);
-- -- CppScriptMgr:WaitMilSec(2000)

